:root {
  --orange: rgb(0, 0, 0);
  --yellow: rgb(0, 0, 0);
  --lime: rgb(0, 0, 0);
  --green: rgb(0, 0, 0);
  --red: rgb(0, 0, 0);
  --pink: rgb(0, 0, 0);
  --blue: rgb(0, 0, 0);
  --purple: rgb(0, 0, 0);
  --cyan: rgb(0, 0, 0);
  --white:rgba(0, 255, 204,0);
  --black: rgba(0, 0, 0, 0);

  /* abstract our colours */
  --boxMain: var(--blue);
  --boxSecond: var(--cyan);
  --boxHigh: var(--orange);

  --border: 1vmin solid var(--black);
  --borderRad: 2px;
}

H5{
  font-family: "Outfit", sans-serif;
  font-optical-sizing: auto;
  letter-spacing: 0.2rem;
  font-style:normal;
  height: 50px;
  padding: 10px;
  color: #000;
}


H1{
  font-family: "Outfit", sans-serif;
  font-optical-sizing: auto;
  letter-spacing: 0.2rem;
  font-style:normal;
  height: 50px;
  padding: 10px;
  color: #000;
}

#Datos{
  display: flex;
  justify-items : center;
  align-items :center;
  justify-content : space-around;
  flex-wrap: wrap;
}

H4{
  font-family: "Outfit", sans-serif;
  font-optical-sizing: auto;
  letter-spacing: 0.2rem;
  font-style:normal;
  color: #000;
}



#Navbar{

 display: flex;
 justify-items : center;
 align-items : center;
 justify-content : center;
 flex-direction: column;
 padding-top: 20px;
 padding-bottom: 20px;
 border:1px; 
 border-color: #000;
 
 
}

.boxColumn{
  background-color: aqua;
}

#linkBego{
 cursor: pointer;
}
#linkIndex{
 cursor: pointer;
}
#linkReseñas{
 cursor: pointer;
}



button {
  cursor: pointer;
  font-family: "Outfit", sans-serif;
  font-optical-sizing: auto;
  font-weight:100px;
  font-style: normal;
  line-height: 1.4;
  padding: 10px;
  background-color: #ffffff;
}

#Lunes:focus {
  background-color: #000;
  color: #ffffff;
}

p {
  font-family: "Outfit", sans-serif;
  font-optical-sizing: auto;
  font-weight:100px;
  font-style: normal;
  line-height: 1.4;
  padding: 10px;
  color: #000;
  
}

.space{
display: flex;
margin-top: 180px;
height: 50px;

}

ul {
 
  display: flex;
  list-style-type: none;
  margin: 0;
  padding: 0;
  overflow: hidden;
  border: 1px;
  justify-content : space-around;
}

ul li {
  float: left;
  color: #ffffff;
}

ul li a {
  display: block;
  color: white;
  text-align: center;
  padding: 14px 16px;
  text-decoration: none;
  border:1px;
  border-color: #000;
}

ul li a:hover {
  border:1px;
  border-color: #000;
}

.days{
display: flex;
height: 50px;
justify-items : center;
align-items :center;
justify-content : space-around;
text-align: center;
color: rgb(0, 0, 0);
}

.space2{
display: flex;
margin-top: 50px;
height: 50px;

}

.space3{
display: flex;
margin-top: 20px;
height: 20px;

}

.radio{
display: flex;
margin-top: 180px;
height: 50px;
justify-items : center;
align-items :center;
justify-content : space-around;
text-align: center;
color: rgb(0, 0, 0);
}

.box{
display: flex;
justify-items : center;
align-items :center;
height: 50px;
justify-content: space-between;
text-align: center;
color: rgb(0, 0, 0);
border: 1px solid #000000;
}




.line{
display: flex;
border-bottom: 1px solid black;

}

a {
  outline: none;
  text-decoration: none;
  padding: 2px 1px 0;
}

a:link {
  color: #000000;
}

a:visited {
  color: #000000;
}

a:focus {
  background: #000000;
}

a:hover {
  color: #ffffff;
  background: #000000;
}

a:active {
  background: #ffffff;
  color: #000000;
}


title {
  background-color: var(--white);
}

#portada{
  border: 1px solid #000000;
}



#demo:focus{
  background-color: #000;
}

#NombreGrupo{
  display :flex;
  justify-items : center;
  align-items :center;
  justify-content : space-around;
  text-align: center;
  color: rgb(0, 0, 0);
}

#price{color:rgb(0, 0, 0)}
#disco{color:rgb(0, 0, 0)}
.divtitle{
  display : flex;
  justify-items : center;
  align-items :center;
  justify-content : space-around;
  text-align: center;
  color: rgb(0, 0, 0);
}


.control-volume{
  color:rgba(145, 0, 0, 0)

}
body {
  background-color: var(--white);
  padding: 4vmax;
  font-family: system-ui;
  color: var(--black);
}
.example-three {
  background-color: #000000;
  color: white;
}

.boombox-body{
 
  color: rgb(255, 255, 255);
  display: flex;
  flex-wrap: wrap;
  justify-items : center;
  align-items :center;
  justify-content : space-around;
  text-align: center;
}



 #cabecera{
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: center;
 }
#enlaces{
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: right;
  background-color: #000;
 }
@media screen and (max-width: 570px) {
 
  #cabecera{
  display: flex;
  flex-wrap: wrap;
}
 #enlaces{
  position: fixed;
  bottom: 50px;
  justify-content: center;
  grid-column: 1;
 }
}


.control-power span {
  display: none;
}

/* tape area ~~~~~~~~~~~~~~~~~~~~~~ */
.tape {
  position: relative;
  bottom: 200px;
  display: grid;
  grid-template-rows: 24vh 6vh;
  grid-template-columns: repeat(5, 1fr);
  grid-template-areas:
    "tape tape tape tape tape"
    "back rewind play ff next";

  width: 500px;
  height: 1px;
  margin: 0px auto;
  background-size: 100% 100%, 100% 100%, 40% 100%, 100% 10%, 100% 100%;
  border: var(--border);
  border-bottom-width: 0px;
  border-radius: var(--borderRad);
  max-width: 300px;
  
}
@media screen and (max-width: 570px) {
  .tape {
    left: -50px;
    
  }
  [data-playing] {
    width: 300%;
  }

  
}
audio {
  grid-area: tape;
  background-color: #000000;
}
/*TODO GIVE BUTTONS CLASSES*/
[class^="tape-controls"] {
  border: none;
}
[class^="tape-controls"] span {
  display: none;
}
.tape-controls-play {
  grid-area: play;
}
audio::-webkit-media-controls-play-button,
     audio::-webkit-media-controls-panel {
     background-color: #000000;
     color: #000000;
     }


input[type=range] {
  -webkit-appearance: none;
  margin: 0px 0;
  width: 0px;
}
input[type=range]:focus {
  outline: none;
   width: 0px;
}
input[type=range]::-webkit-slider-runnable-track {
   width: 0px;
  height: 8.4px;
  cursor: pointer;
  box-shadow: 1px 1px 1px #ffffff00, 0px 0px 1px #ffffff00;
  background: #ffffff00;
  border-radius: 1.3px;
  border: 0.1px solid #ffffff00;
}
input[type=range]::-webkit-slider-thumb {
  box-shadow: 1px 1px 1px #00000000, 0px 0px 1px #00000000;
  border: 1px solid #00000000;
  height: 0px;
   width: 0px;
  border-radius: 3px;
  background: #00000000;
  cursor: pointer;
  -webkit-appearance: none;
  margin-top: -14px;
}
input[type=range]:focus::-webkit-slider-runnable-track {
 
   background: #ffffff00;
}

input[type=range]::-moz-range-thumb {
  box-shadow: 1px 1px 1px #ffffff00, 0px 0px 1px #ffffff00;
  border: 1px solid #ffffff00;
  height: 0px;
  width: 0px;
  border-radius: 3px;
  background: #ffffff00;
  cursor: pointer;
}
input[type=range]::-ms-track {
   width: 0px;
  height: 8.4px;
  cursor: pointer;
  background: transparent;
  border-color: transparent;
  border-width: 16px 0;
  color: transparent;
}






/*~~~~~~~~~~~~~~~~ the play pause & power icons*/
[data-playing] {
  background: transparent
    url('data:image/svg+xml;charset=utf8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 448 512"><path d="M424.4 214.7L72.4 6.6C43.8-10.3 0 6.1 0 47.9V464c0 37.5 40.7 60.1 72.4 41.3l352-208c31.4-18.5 31.5-64.1 0-82.6z" fill="black" /></svg>')
    no-repeat center center;
  background-size: 100% 100%;
  cursor: pointer;
}
[data-playing]:hover {
  background: transparent
    url('data:image/svg+xml;charset=utf8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 448 512"><path d="M424.4 214.7L72.4 6.6C43.8-10.3 0 6.1 0 47.9V464c0 37.5 40.7 60.1 72.4 41.3l352-208c31.4-18.5 31.5-64.1 0-82.6z" fill="hsla(32, 100%, 50%, 1)" /></svg>')
    no-repeat center center;
  background-size: 100% 100%;
}
[data-playing="true"] {
  background: transparent
    url('data:image/svg+xml;charset=utf8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 448 512"><path d="M144 479H48c-26.5 0-48-21.5-48-48V79c0-26.5 21.5-48 48-48h96c26.5 0 48 21.5 48 48v352c0 26.5-21.5 48-48 48zm304-48V79c0-26.5-21.5-48-48-48h-96c-26.5 0-48 21.5-48 48v352c0 26.5 21.5 48 48 48h96c26.5 0 48-21.5 48-48z" fill="black" /></svg>')
    no-repeat center center;
  background-size: 100% 100%;
}
[data-playing="true"]:hover {
  background: transparent
    url('data:image/svg+xml;charset=utf8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 448 512"><path d="M144 479H48c-26.5 0-48-21.5-48-48V79c0-26.5 21.5-48 48-48h96c26.5 0 48 21.5 48 48v352c0 26.5-21.5 48-48 48zm304-48V79c0-26.5-21.5-48-48-48h-96c-26.5 0-48 21.5-48 48v352c0 26.5 21.5 48 48 48h96c26.5 0 48-21.5 48-48z" fill="hsla(32, 100%, 50%, 1)" /></svg>')
    no-repeat center center;
  background-size: 100% 100%;
}
[data-power] {
  background: var(--boxSecond)
    url('data:image/svg+xml; charset=utf8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512"><path d="M400 54.1c63 45 104 118.6 104 201.9 0 136.8-110.8 247.7-247.5 248C120 504.3 8.2 393 8 256.4 7.9 173.1 48.9 99.3 111.8 54.2c11.7-8.3 28-4.8 35 7.7L162.6 90c5.9 10.5 3.1 23.8-6.6 31-41.5 30.8-68 79.6-68 134.9-.1 92.3 74.5 168.1 168 168.1 91.6 0 168.6-74.2 168-169.1-.3-51.8-24.7-101.8-68.1-134-9.7-7.2-12.4-20.5-6.5-30.9l15.8-28.1c7-12.4 23.2-16.1 34.8-7.8zM296 264V24c0-13.3-10.7-24-24-24h-32c-13.3 0-24 10.7-24 24v240c0 13.3 10.7 24 24 24h32c13.3 0 24-10.7 24-24z" fill="black" /></svg>')
    no-repeat center center;
  background-size: 100% 100%;
}
[data-power]:hover,
[data-power="on"] {
  background: var(--boxHigh)
    url('data:image/svg+xml; charset=utf8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512"><path d="M400 54.1c63 45 104 118.6 104 201.9 0 136.8-110.8 247.7-247.5 248C120 504.3 8.2 393 8 256.4 7.9 173.1 48.9 99.3 111.8 54.2c11.7-8.3 28-4.8 35 7.7L162.6 90c5.9 10.5 3.1 23.8-6.6 31-41.5 30.8-68 79.6-68 134.9-.1 92.3 74.5 168.1 168 168.1 91.6 0 168.6-74.2 168-169.1-.3-51.8-24.7-101.8-68.1-134-9.7-7.2-12.4-20.5-6.5-30.9l15.8-28.1c7-12.4 23.2-16.1 34.8-7.8zM296 264V24c0-13.3-10.7-24-24-24h-32c-13.3 0-24 10.7-24 24v240c0 13.3 10.7 24 24 24h32c13.3 0 24-10.7 24-24z" fill="black" /></svg>')
    no-repeat center center;
  background-size: 100% 100%;
}